using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine;
using UnityEngine.SceneManagement;
using System.Linq;
using TMPro;
using UnityEngine.UI;

namespace Armor
{
    public class Mod
    {
        public static void Main()
        {
CategoryBuilder.Create("Camouflage", "", ModAPI.LoadSprite("category.png"));       


 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#365000>[Camouflage:A1.]</color>",
                    DescriptionOverride = "Russian soldiers in Syria", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/1.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Ludi/A1.png"),
                            ModAPI.LoadTexture("Ludi/A2.png"),
                            ModAPI.LoadTexture("Ludi/A3.png"),
                            ModAPI.LoadTexture("Ludi/A4.png"),
                        };
                    }
                }
            );  

 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#365000>[Camouflage:A2.]</color>",
                    DescriptionOverride = "Russian soldiers in Syria", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/2.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Ludi/B1.png"),
                            ModAPI.LoadTexture("Ludi/B2.png"),
                            ModAPI.LoadTexture("Ludi/B3.png"),
                            ModAPI.LoadTexture("Ludi/B4.png"),
                        };
                    }
                }
            ); 
 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#365000>[Camouflage:A3.]</color>",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/3.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Ludi/C1.png"),
                            ModAPI.LoadTexture("Ludi/C2.png"),
                            ModAPI.LoadTexture("Ludi/C3.png"),
                            ModAPI.LoadTexture("Ludi/C4.png"),

                        };
                    }
                }
            );   
 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "<color=#365000>[Camouflage:A4.]</color>",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/4.png"),
                    AfterSpawn = (Instance) => 
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var Head = Instance.transform.Find("Head").gameObject;

                        Head.GetOrAddComponent<MultipleSpriteHumanBehaviour>().person = person;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Scale = 3;
                        Head.GetComponent<MultipleSpriteHumanBehaviour>().Textures = new Texture2D[]
                        {
                            ModAPI.LoadTexture("Ludi/D1.png"),
                            ModAPI.LoadTexture("Ludi/D2.png"),
                            ModAPI.LoadTexture("Ludi/D3.png"),
                            ModAPI.LoadTexture("Ludi/D4.png"),

                        };
                    }
                }
            );   
			   							            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:B1.]</color>Helmet", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/5.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Advanced Combat Helmet OCP 1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helm/A1.png", 6f);
                        prop.armorPoints = 300;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
			   							            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:B2.]</color>Helmet", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/6.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Advanced Combat Helmet OCP 1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helm/A2.png", 6f);
                        prop.armorPoints = 300;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );

            			   							            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:B3.]</color>Helmet", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/7.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Advanced Combat Helmet OCP 1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helm/A3.png", 6f);
                        prop.armorPoints = 300;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
			   							            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:B4.]</color>Helmet", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/8.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Advanced Combat Helmet OCP 1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Helm/A4.png", 6f);
                        prop.armorPoints = 300;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );

   ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "<color=#365000>[Camouflage:B5.]</color>Bulletproof vest", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/9.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("Bron/A2.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Bron/A1.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "<color=#365000>[Camouflage:B6.]</color>Bulletproof vest", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/10.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("Bron/A4.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Bron/A3.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "<color=#365000>[Camouflage:B7.]</color>Bulletproof vest", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/11.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("Bron/A6.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Bron/A5.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "<color=#365000>[Camouflage:B8.]</color>Bulletproof vest", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/12.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("Bron/A8.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Bron/A7.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 2;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );
           																		            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:C1.]</color>Bakap", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/13.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Backpack.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/B1.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );	
            																		            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:C2.]</color>Bakap", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/14.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Backpack.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/B2.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );	
                    																		            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:C3.]</color>Bakap", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/15.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Backpack.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/B3.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );	
            																		            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:C4.]</color>Bakap", 
					NameToOrderByOverride = "B",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/16.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ukraine Ground Forces/Backpack.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/B4.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                    }
                }
            );	
            																		            
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:D1.]</color>", 
					NameToOrderByOverride = "E",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/17.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bron/Sir.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/Sir.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:D2.]</color>", 
					NameToOrderByOverride = "E",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/18.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bron/Bel.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/Bel.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:D3.]</color>", 
					NameToOrderByOverride = "E",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/19.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bron/RF.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/RF.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"), 
                    NameOverride = "<color=#365000>[Camouflage:D4.]</color>", 
					NameToOrderByOverride = "E",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("Camouflage"), 
                    ThumbnailOverride = ModAPI.LoadSprite("Icons/20.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bron/UK.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "UpperArmFront";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Bron/UK.png", 6f);
                        prop.armorPoints = 10;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );	





}












public class MultipleSpriteHumanBehaviour : MonoBehaviour
    {
        public Texture2D[] Textures = new Texture2D[0];
        public PersonBehaviour person;
        public int CurrentTexture = -2;
        public int Scale = 3;

        void Start()
        {
            SetTexture();
        }

        public void SetTexture()
        {
            if (Textures.Length == 0)
                return;

            if(CurrentTexture == -2)
            {
                CurrentTexture = UnityEngine.Random.Range(0, Textures.Length);
            }
            person.SetBodyTextures(Textures[CurrentTexture], null, null, Scale);
            for (int i = 0; i < person.Limbs.Length; i++)
            {
                person.Limbs[i].gameObject.GetComponent<PhysicalBehaviour>().RefreshOutline();
            }
        }
}    }
}
